Create a payment token from a payment cardpost https://cert.api.firstdata.com/gateway/v2/payment-tokensUse this to create a payment token to safely store sensitive credit card information.Body ParamsAccepted request types: PaymentCardPaymentTokenizationRequest, PaymentDevicePaymentTokenizationRequest, and ReferencedOrderPaymentTokenizationRequest.PaymentCardPaymentTokenizationRequestPaymentDevicePaymentTokenizationRequestPaymentTokenInfoLookupRequestrequestTypestringrequiredObject name of tokenization request.storeIdstringlength ≤ 20An optional outlet ID for clients that support multiple stores in the same app.billingAddressobjectAddress information that is passed to the issuer (it may appear on the cardholder’s statement) or if merchant wants to pass information that differs from the information stored on our master file.billingAddress objectcreateTokenobjectrequiredUse this model to create a payment token.createToken objectaccountVerificationbooleanDefaults to falseIf the account should be verified prior to token creation.truetruefalsemerchantTransactionIdstringlength ≤ 40The unique merchant transaction ID from the request, if supplied.additionalDetailsobjectMerchant supplied tracking numbers.additionalDetails objectpaymentCardobjectrequiredPayment card model.paymentCard objectHeadersContent-TypestringenumrequiredDefaults to application/jsonContent type.application/jsonAllowed:application/jsonClient-Request-IdstringrequiredA client-generated ID for request tracking and signature creation, unique per request. This is also used for idempotency control. We recommend 128-bit UUID format.Api-KeystringrequiredKey given to merchant after boarding associating their requests with the appropriate app in Apigee.Timestampint64requiredEpoch timestamp in milliseconds in the request from a client system. Used for Message Signature generation and time limit (5 mins).Message-SignaturestringrequiredUsed to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.AuthorizationstringThe access token previously generated with the access-tokens call. Use the format 'Bearer {access-token}'.Responses 200Success response. 400The request cannot be validated. 401The request was unauthorized. 404The requested resource doesn't exist. 409The attempted action is not valid according to gateway rules. For example, when the gateway is too busy then the transaction is not processed. 422The processor declined the transaction. 500An unexpected internal server error occurred.Updated 8 months ago